//NCZ93205 JOB (001),'VERIFY PDS SUB',                                  00010000
//             CLASS=A,MSGCLASS=A                                       00020000
// EXEC COBUCG,PARM='LOAD,LIST,SIZE=2048K,BUF=1024K'                    00030000
//COB.SYSIN DD *                                                        00040000
000100 IDENTIFICATION DIVISION.                                         00050000
000200 PROGRAM-ID. TESTNCZ.                                             00060000
000300 AUTHOR. JAY MOSELEY.                                             00070000
000400 DATE-WRITTEN. FEBRUARY, 2004.                                    00080000
000500 DATE-COMPILED.                                                   00090000
000600 REMARKS. THIS PROGRAM TESTS THE PDS ACCESS SUBROUTINE - NCZ93205 00100000
000700          FROM CBT OVERFLOW FILE #012.                            00110000
000800                                                                  00120000
000900 ENVIRONMENT DIVISION.                                            00130000
001000 CONFIGURATION SECTION.                                           00140000
001100 SOURCE-COMPUTER. IBM-370.                                        00150000
001200 OBJECT-COMPUTER. IBM-370.                                        00160000
001300                                                                  00170000
001400 INPUT-OUTPUT SECTION.                                            00180000
001500 FILE-CONTROL.                                                    00190000
001600                                                                  00200000
001700 DATA DIVISION.                                                   00210000
001800 FILE SECTION.                                                    00220000
001900                                                                  00230000
002000 WORKING-STORAGE SECTION.                                         00240000
002100                                                                  00250000
002200 01  NCZ93205-PARAMETERS.                                         00260000
002300     02  NCZ93205-REQUEST        PIC S9(08)  COMP.                00270000
002400     02  NCZ93205-REQUEST-OPEN   PIC S9(08)  COMP    VALUE +0.    00280000
002500     02  NCZ93205-REQUEST-LOCATE PIC S9(08)  COMP    VALUE +4.    00290000
002600     02  NCZ93205-REQUEST-READ   PIC S9(08)  COMP    VALUE +8.    00300000
002700     02  NCZ93205-REQUEST-CLOSE  PIC S9(08)  COMP    VALUE +12.   00310000
002800     02  NCZ93205-MEMBER         PIC X(08).                       00320000
002900     02  NCZ93205-RECORD         PIC X(255).                      00330000
003000     02  FILLER                  REDEFINES NCZ93205-RECORD.       00340000
003100         03  NCZ93205-RECORD80   PIC X(80).                       00350000
003200         03  FILLER              PIC X(75).                       00360000
003210     02  NCZ93205-DDNAME         PIC X(08).                       00370000
003300                                                                  00380000
003400 PROCEDURE DIVISION.                                              00390000
003500                                                                  00400000
003600 000-INITIATE.                                                    00410000
003700                                                                  00420000
003800     DISPLAY 'NCZ93205 TEST INITIATED'.                           00430000
003900     PERFORM 100-OPEN-PDS.                                        00440000
004000     PERFORM 200-LOCATE-MEMBER-1.                                 00450000
004100     PERFORM 300-LOCATE-MEMBER-2.                                 00460000
004200     PERFORM 400-READ-MEMBER.                                     00470000
004300     PERFORM 500-CLOSE-PDS.                                       00480000
004400                                                                  00490000
004500     DISPLAY 'NCZ93205 TEST CONCLUDED'.                           00500000
004600                                                                  00510000
004700     STOP RUN.                                                    00520000
004800* =========================================== PROGRAM EXIT POINT  00530000
004900                                                                  00540000
005000 100-OPEN-PDS.                                                    00550000
005100     DISPLAY 'REQUESTING OPEN OF DDNAME=HELP'.                    00560000
005200     MOVE NCZ93205-REQUEST-OPEN TO NCZ93205-REQUEST.              00570000
005250     MOVE 'HELP' TO NCZ93205-DDNAME.                              00580000
005300     PERFORM 900-CALL-NCZ93205.                                   00590000
005400     IF RETURN-CODE EQUAL 0                                       00600000
005500         DISPLAY 'OPEN SUCCEEDED (RC=0)'.                         00610000
005600*    END-IF.                                                      00620000
005700     IF RETURN-CODE EQUAL 4                                       00630000
005800         DISPLAY 'OPEN FAILED (RC=4)'.                            00640000
005900*    END-IF.                                                      00650000
006000     IF RETURN-CODE EQUAL 8                                       00660000
006100         DISPLAY 'OPEN FAILED (RC=8); EXECUTION TERMINATED'       00670000
006200         STOP RUN.                                                00680000
006300*    END-IF.                                                      00690000
006400* ------------------------------------------- PERFORM EXIT POINT  00700000
006500                                                                  00710000
006600 200-LOCATE-MEMBER-1.                                             00720000
006700     DISPLAY 'ATTEMPT TO LOCATE MEMBER=NONEXIST'.                 00730000
006800     MOVE NCZ93205-REQUEST-LOCATE TO NCZ93205-REQUEST.            00740000
006900     MOVE 'NONEXIST' TO NCZ93205-MEMBER.                          00750000
007000     PERFORM 900-CALL-NCZ93205.                                   00760000
007100     IF RETURN-CODE EQUAL 0                                       00770000
007200         DISPLAY 'MEMBER FOUND (RC=0)'.                           00780000
007300*    END-IF.                                                      00790000
007400     IF RETURN-CODE EQUAL 4                                       00800000
007500         DISPLAY 'MEMBER NOT FOUND (RC=4)'.                       00810000
007600*    END-IF.                                                      00820000
007700     IF RETURN-CODE EQUAL 8                                       00830000
007800         DISPLAY 'LOCATE FAILED (RC=8); EXECUTION TERMINATED'     00840000
007900         STOP RUN.                                                00850000
008000*    END-IF.                                                      00860000
008100* ------------------------------------------- PERFORM EXIT POINT  00870000
008200                                                                  00880000
008300 300-LOCATE-MEMBER-2.                                             00890000
008400     DISPLAY 'ATTEMPT TO LOCATE MEMBER=DEF'.                      00900000
008500     MOVE NCZ93205-REQUEST-LOCATE TO NCZ93205-REQUEST.            00910000
008600     MOVE 'DEF' TO NCZ93205-MEMBER.                               00920000
008700     PERFORM 900-CALL-NCZ93205.                                   00930000
008800     IF RETURN-CODE EQUAL 0                                       00940000
008900         DISPLAY 'MEMBER FOUND (RC=0)'.                           00950000
009000*    END-IF.                                                      00960000
009100     IF RETURN-CODE EQUAL 4                                       00970000
009200         DISPLAY 'MEMBER NOT FOUND (RC=4)'.                       00980000
009300*    END-IF.                                                      00990000
009400     IF RETURN-CODE EQUAL 8                                       01000000
009500         DISPLAY 'LOCATE FAILED (RC=8); EXECUTION TERMINATED'     01010000
009600         STOP RUN.                                                01020000
009700*    END-IF.                                                      01030000
009800* ------------------------------------------- PERFORM EXIT POINT  01040000
009900                                                                  01050000
010000 400-READ-MEMBER.                                                 01060000
010100     DISPLAY 'ATTEMPT TO READ MEMBER=DEF'.                        01070000
010200     MOVE NCZ93205-REQUEST-READ TO NCZ93205-REQUEST.              01080000
010300     PERFORM 410-READ-MEMBER                                      01090000
010400         UNTIL RETURN-CODE NOT EQUAL 0.                           01100000
010500*    END-PERFORM.                                                 01110000
010600     IF RETURN-CODE EQUAL 4                                       01120000
010700         DISPLAY 'END OF FILE ON MEMBER (RC=4)'.                  01130000
010800*    END-IF.                                                      01140000
010900     IF RETURN-CODE EQUAL 8                                       01150000
011000         DISPLAY 'READ FAILED (RC=8); EXECUTION TERMINATED'       01160000
011100         STOP RUN.                                                01170000
011200*    END-IF.                                                      01180000
011300* ------------------------------------------- PERFORM EXIT POINT  01190000
011400                                                                  01200000
011500 410-READ-MEMBER.                                                 01210000
011600     PERFORM 900-CALL-NCZ93205.                                   01220000
011700     IF RETURN-CODE EQUAL 0                                       01230000
011800         DISPLAY 'RECORD: ' NCZ93205-RECORD80.                    01240000
011900*    END-IF.                                                      01250000
012000* ------------------------------------------- PERFORM EXIT POINT  01260000
012100                                                                  01270000
012200 500-CLOSE-PDS.                                                   01280000
012300     DISPLAY 'REQUESTING CLOSE'.                                  01290000
012400     MOVE NCZ93205-REQUEST-CLOSE TO NCZ93205-REQUEST.             01300000
012500     PERFORM 900-CALL-NCZ93205.                                   01310000
012600     IF RETURN-CODE EQUAL 4                                       01320000
012700         DISPLAY 'CLOSE FAILED (RC=4)'.                           01330000
012800*    END-IF.                                                      01340000
012900     IF RETURN-CODE EQUAL 8                                       01350000
013000         DISPLAY 'CLOSE FAILED (RC=8); EXECUTION TERMINATED'      01360000
013100         STOP RUN.                                                01370000
013200*    END-IF.                                                      01380000
013300* ------------------------------------------- PERFORM EXIT POINT  01390000
013400                                                                  01400000
013500 900-CALL-NCZ93205.                                               01410000
013600     CALL 'NCZ93205' USING NCZ93205-REQUEST,                      01420000
013700                           NCZ93205-MEMBER,                       01430000
013800                           NCZ93205-RECORD,                       01440000
013810                           NCZ93205-DDNAME.                       01450000
013900* ------------------------------------------- PERFORM EXIT POINT  01460000
014000                                                                  01470000
014100*END PROGRAM TESTNCZ.                                             01480000
//GO.SYSLIB DD                                                          01490000
//         DD  DSN=SYS2.LINKLIB,DISP=SHR                                01500000
//GO.SYSOUT DD SYSOUT=*                                                 01510000
//GO.HELP   DD DSN=SYS1.HELP,DISP=SHR                                   01520000
//                                                                      01530000